/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.artifactdatabase.objects;

import java.io.Serializable;

/**
 * This is the Interfacedefinition for Statistic values that belongs
 * to an Artifact.
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public interface ArtifactStatisticValue extends Serializable {

    /**
     * Returns the Key of the Object
     * @return the Key of the Object
     */
    String getKey();

    /**
     * Returns the stored Value
     * @return the stored Value
     */
    String getValue();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
